function [energy,varargout] = energy1d(N,NH,phis,phirw,contparams,ev,diffpotential,varargin)
% with 7 input arguments, energy and (optionally) the chemical potential
% with 8 input arguments, energy, exact penalty function and the upper bound r for Lagrange multiplier 
nlp = sum(phirw.^4)/2;
phisNH = phis(1:NH);
energy = norm(phisNH.*sqrt(ev/2))^2+...
    contparams*[sum(diffpotential.*phirw.^2),nlp]';
if (nargin == 8)
    r = varargin{1};
    if (r == -1)
        r = (energy+contparams(2)*nlp)/N;
    end    
    varargout{1} = energy+r*abs(N-norm(phisNH)^2);
    varargout{2} = r;
end
if ((nargout == 2) & (nargin == 7))
  varargout{1} = (energy+contparams(2)*nlp)/N;
end
