% plot at xx the spectral function sum_i=0^N psi_j * H_j(xx) * exp (...
function y = plothermite1d(xx,psis,varargin)
if (nargin == 3)
  alpha = varargin{1};
else
  alpha = 1;								    
end
xx = xx(:)';
N = length(psis);
H = ones(N,length(xx))*sqrt(alpha)/sqrt(sqrt(pi));
H(1,:) = H(1,:).*exp(-(alpha*xx).^2/2);
sqrti = sqrt(2);
xxx = sqrti*alpha*xx;
H(2,:) = sqrt(alpha).*xxx/sqrt(sqrt(pi)).*exp(-(alpha*xx).^2/2);
sqrti1 = 1;
for i = 3:N
% the degree is i-1
  H(i,:) = (xxx.*H(i-1,:)-sqrti1*H(i-2,:))/sqrti;
  sqrti1 = sqrti;
  sqrti = sqrt(i);					    
end
y = H'*psis;
								  
