% Temporal convergence order  
function [dt,error] = temporalorder(method,T,K,psi0,spectral,varargin)
N = K(3)^(K(2)+1);
dt = T/N;
if (strcmp(spectral,'bounded'))
global a M
  r2s = @real2spectral_2d_fft;
  coef = 2*sqrt(a(1)*a(2))/(M(1)*M(2));
else
  r2s = @real2spectral_2d;
  coef = 1;
end
if (nargin == 5)
% numerical order
  disp(['*** ',spectral,' domain (Reference solution)'])
  exact = timeintegration_2d(method,dt,N,psi0,spectral);
  exact_s = feval(r2s,exact);
else
  disp(['*** ',spectral,' domain (Exact solution)'])
  exact_s = varargin{1};
end
for k = K(1):K(2)-1
  N = K(3)^k;
  dt(k-K(1)+1) = T/N;     
  psi = timeintegration_2d(method,dt(k-K(1)+1),N,psi0,spectral);
  psi_s = feval(r2s,psi);
  error(k-K(1)+1) = coef*norm(psi_s(:) - exact_s(:));
end
output(method);
disp(['Error:       ' sprintf('%.3e ',error)])
order = log(error(1:end-1)./error(2:end))./log(dt(1:end-1)./dt(2:end));
disp(['Order:               ',sprintf('%.2f      ',order)])
%save('exact_hermite','psi_s')
